edu.msu.cme.rdp.classifier.utils

## Class HierarchyVersion

- java.lang.Object
- - edu.msu.cme.rdp.classifier.utils.HierarchyVersion

    public class HierarchyVersion
    extends java.lang.Object

A HierarchyVersion holds the training set number and version of the taxonomy.

### Constructor Summary

Constructors
Constructor and Description
`HierarchyVersion(java.lang.String doc)` Creates a new instance of HierarchyVersion,

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getTrainsetNo()` Returns the training set number of the taxonomy hierarchy from the header of the training file.
`java.lang.String` `getVersion()` Returns the version of the taxonomy hierarchy from the header of the training file.
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HierarchyVersion

    public HierarchyVersion(java.lang.String doc)
                     throws TrainingDataException

Creates a new instance of HierarchyVersion,

Throws:
  `TrainingDataException`

### Method Detail

#### getTrainsetNo

    public int getTrainsetNo()

Returns the training set number of the taxonomy hierarchy from the header of the training file.

#### getVersion

    public java.lang.String getVersion()

Returns the version of the taxonomy hierarchy from the header of the training file.

#### main

    public static void main(java.lang.String[] args)
                     throws TrainingDataException

Throws:
  `TrainingDataException`